apiVersion: v1
kind: Service
metadata:
  name: {{ include "id-appservice.fullname" . }}
  labels:
    app.kubernetes.io/name: {{ include "id-appservice.name" . }}
    helm.sh/chart: {{ include "id-appservice.chart" . }}
    app.kubernetes.io/instance: {{ .Release.Name }}
    app.kubernetes.io/managed-by: {{ .Release.Service }}
spec:
  type: {{ .Values.service.type }}
  ports:
    - port: {{ .Values.service.port }}
      targetPort: http
      protocol: TCP
      name: http
  selector:
    app.kubernetes.io/name: {{ include "id-appservice.name" . }}
    app.kubernetes.io/instance: {{ .Release.Name }}
